// import excelHelper from "@/utils/excelHelper";
export default {
    data() {
        return {
            //element ui表单组件自带数据 
            formInline: {
                windfarm: "",
                project: "",
                line: "",
            },
            //时间，初始数据为昨日时间
            time: '',
            //分页起始页
            currentPage2: 1,
             //每页显示数据个数
            pagesize: 10,
            //切入切出风速表格数据
            gridData: [],
            //风场选择器
            options: [],
            //所需排序值
            orderByColumn: '',
            //排序，默认为升序asc
            isAsc: '',
            value: 'MHS_FDC',
            //表格对应的风场id，点击历史按钮会将wtid数据传入历史页面
            wtid: '',
            //结束日期，默认为今日日期，点击历史按钮会将endDate数据传入历史页面
            endDate: '',
            //日期昨天
            updateTime: '',
        }
    },

    created() {
        //获取风场信息数据
        this.API.get('/powercompare/windfarmAjax').then((res) => {
            this.options = res.data;
        })
         //获取昨日日期时间
        var newData = new Date();
        this.updateTime = this.BASE.getBzDate(newData.getTime(), -1);
        //获取今日日期时间
        this.endDate = this.BASE.getBzDate(newData.getTime(), 0);
        this.callAndSpeedData(); 
               
        },
    methods: {
        //点击查询按钮调用查询方法
        queryApData() {
            this.callAndSpeedData();
        },
        //点击历史按钮触发点击事件，b值为点击历史获取当前行的数据
        handleEdit(a, b) {
            this.wtId = b.windturbineid;
            console.log(this.wtId)
            //跳转方法并传入数据
            this.$router.push({
                path: '/cutAndSpeedHistory',
                query: {
                    //风场
                    wpId: this.value,
                    //风机
                    wtId: this.wtId,
                    //开始时间
                    beginDate: this.time,
                    //结束时间
                    endDate: this.endDate,
                }
            })
        },
        //表格字体居中
        headStyle() {
            return "text-align:center"
        },
        //排序方法
        changeTableSort(column) {
            //排序方法 column.prop为点击要排序列的数据，将需要排序的值赋给orderByColumn
            this.orderByColumn = column.prop;
            //如果column.order为descending（点击排序上箭头），则为降序，若为ascending（点击排序下箭头），则为升序，并将值赋给isAsc
            if (column.order == "descending") {
                this.isAsc = 'desc';
            } else if (column.order == "ascending") {
                this.isAsc = "asc";
            }
            this.callAndSpeedData();
        },
        //获取切入切出风速方法
        callAndSpeedData() {
            //判断time是否有值，若没有选择时间，则为昨日日期时间
            if (this.time == '') {
                this.time = this.updateTime
            }
            console.log(this.time)
            var callAndSpeedData = new URLSearchParams();
            //页数
            callAndSpeedData.append('pageNum', this.currentPage2);
            //页面数据个数
            callAndSpeedData.append('pageSize', this.pagesize);
            //需要排序的参数
            callAndSpeedData.append('orderByColumn', this.orderByColumn);
            //升序还是降序
            callAndSpeedData.append('isAsc', this.isAsc);
            //风场id
            callAndSpeedData.append('wpId', this.value);
            //日期
            callAndSpeedData.append('recorddate', this.time);
            this.API.post('/outputspeed/outputSpeedlist', callAndSpeedData).then((res) => {
                this.gridData = res.data;
                console.log(this.gridData);
            })
        },
        //导出excel方法
        toExcel() {
            excelHelper.exportExcel("callthepolicetable", "负荷率排行榜", ".xls", true);
        },
    }
}